Eclipse: Type Java compiler level does not match the version of the instal解决方法

首先需要了解一下Eclipse中Project Facets属性:
Project Facets属性可以理解为“项目的特性”
Project Facets
该示例图片中Project Facets属性选中了Dynamic Web Module、Java和JavaScript。
说明该项目是一个Java项目,是一个动态Web项目,又是一个JavaScript项目。

该异常产生的原因就是因为该项目的Java Build Path中的JDK版本和Project Facts中的JDK版本不一致导致的,因此只要修改这两处的JDK版本为一致的就可以解决此问题了。
这里写图片描述

©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页